Subject: Re: GCC-3.2 problem: undefined ___gxx_personality_v0
From: Martin Wolters <[email-masked]>
To: [email-masked]
Date: Wed, 5 Mar 2003 17:12:22 +0100

On Wednesday 05 March 2003 16:18, [email-masked] wrote:
> OK.  And that file contains only C code?  

That's a good question. I thought so and I still think so. However, I just 
tried "g++ myCFile.c" and it compiles like a charm!!

Well, maybe I can find the code that breaks the gcc-build. And if it turns out 
to be a valid c-construct I'll send the requested informationen. But for now 
I at least have a "workaround". 

Thank you very much. 

-M 

> If so, perhaps it's
> best if you create a small test file with the steps you use
> to produce this problem and send it along with the output of
> 'cygcheck -s -r -v' *as an attachment* to this list.  Then we
> can at least see the details of what you're doing, what you're
> working with, and whether the case you report is reproducible.
>
> Larry
>
>
> Original Message:
> -----------------
> From: Martin Wolters [email-masked]
> Date: Wed, 5 Mar 2003 16:01:32 +0100
> To: [email-masked]
> Subject: Re: GCC-3.2 problem: undefined ___gxx_personality_v0
>
>
> The gcc command line I use:
>
> gcc myCFile.c
>
> -M
>
> On Wednesday 05 March 2003 14:40, Max Bowsher wrote:
> > Martin Wolters wrote:
> > > I recently installed cygwin and while compiling a C-program I do get
> > > the following error:
> > >
> > > undefined reference to `___gxx_personality_v0'
> >
> > Compile C code with gcc, C++ code with g++.
> >
> > If the error still persists, post the *exact* gcc command line.
> >
> >
> > Max.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
> --------------------------------------------------------------------
> mail2web - Check your email from the web at
> http://mail2web.com/ .

-- 
_______________________________________________________________________
Martin Wolters                     | 
Senior Research Engineer           | Coding Technologies
                                   |
phone: +49 (0) 911 92891 -38       | Deutschherrnstr. 15-19
fax:   +49 (0) 911 92891 -99       | 90429 Nuernberg, Germany
mailto:[email-masked]  | http://www.CodingTechnologies.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/